Subject: Re: [Sip] How to indicate during proxy discovery thataproxysupports"outbound"

From: Dean Willis <[email-masked]>
Date: Sat, 01 Apr 2006 14:50:02 -0600

Bob Penfield wrote:
> I had the same thought about proxies eating Proxy-Require values. But 
> then prompted by Jeroen's mention of RFC 3329, I took a look and found 
> this in Section 2.3.1 on page 8.
> 
>   .... and the server is a proxy, it MUST remove the
>   "sec-agree" value from both the Require and Proxy-Require header
>   fields, and then remove the header fields if no values remain.
> 
> I seems reasonable to me that an extension that would use a 
> Proxy-Require tag might only apply to the first-hop proxy, as is the 
> case with Security Agreement and outbound (for the edge proxy behavior). 
> It also seems reasonable to me that if no other proxies along the path 
> need to understand the extension, that the proxy doing the extension 
> could remove the tag from the Proxy-Require header.
> 
> Given the precedent set in RFC 3329, we should consider that option. For 
> outbound, we need two option tags. One which corresponds to the 
> first-hop edge proxy behavior (i.e. the STUN ping) that would be in a 
> Proxy-Require header, and one which corresponds to the registrar 
> behavior (sip-instance and reg-id's) that would be in the Require header.

That's a good point, Bob. Thanks to you and Jeoen for the careful reading.

--
Dean

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip